org.apache.cassandra.db.index

## Class SecondaryIndexBuilder

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.db.index.SecondaryIndexBuilder

    public class SecondaryIndexBuilder
    extends CompactionInfo.Holder

Manages building an entire index from column family data. Runs on to compaction manager.

### Constructor Summary

Constructors
Constructor and Description
`SecondaryIndexBuilder(ColumnFamilyStore cfs, java.util.Set<java.lang.String> idxNames, ReducingKeyIterator iter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `build()`
`CompactionInfo` `getCompactionInfo()`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

`finished, isStopRequested, started, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecondaryIndexBuilder

    public SecondaryIndexBuilder(ColumnFamilyStore cfs,
                                 java.util.Set<java.lang.String> idxNames,
                                 ReducingKeyIterator iter)

### Method Detail

#### getCompactionInfo

    public CompactionInfo getCompactionInfo()

Specified by:
  `getCompactionInfo` in class `CompactionInfo.Holder`

#### build

    public void build()